game-data-packager(6)

NAME
game-data-packager - build a .deb of game data

SYNOPSIS
game-data-packager [ -i ] [ -d out-directory [ -n ] ] [ -z | --no-compress ] game [ game-options ]

DESCRIPTION
Many open-source games require game data which is licensed incompatibly with the Debian Free Software Guidelines. game-data-packager is a tool designed to help you locally assemble Debian packages containing such game data from CD-ROMs, the Internet or elsewhere.

OPTIONS

-i  attempt to install the generated Debian package via dpkg(1) or apt(8), using pkexec(1), sudo(1) or su(1) to obtain suitable privileges. .

-d out-directory
    writes the generated Debian package to the specified directory.

-n  Do not attempt to install the generated Debian package. This option must be used in conjunction with -d.

-z | --compress
    Compress generated .deb (default unless -i is used)

--no-compress
    Do not compress generated .deb (default with -i)

game
    The game being packaged. Running game-data-packager without arguments will display a list of valid games. Running game-data-packager game --help will display a list of valid options for that game.

ALTERNATIVE MODES
game-data-packager steam [ -i ] [ -d out-directory [ -n ] ] [ -z | --no-compress ] [ --new | --all ]
will package all your Steam game at once.
Most games can only be downloaded with Windows Steam running optionally through Wine.

--new
    only package new games

--all
    package all games available

game-data-packager gog
will match all the GOG.com games you own against the games supported by this tool.
Each games must then be packaged individually.

ENVIRONMENT VARIABLES

LANGUAGE, LANG
    These environment variables are used when a game is available in various languages to choose the correct version.
    Those are normally set by your desktop environment.

PATHS
game-data-packager will automatically locate applicable files in these directories:

~/.steam/SteamApps/common/<game>/

~/.wine/drive_c/Program Files/Steam/SteamApps/common/<game>/
    and also the ~/.PlayOnLinux/wineprefix/Steam/drive_c/... variant

X:/Program Files/Steam/SteamApps/common/<game>/
    where X:\ is any mounted vfat or NTFS partition

FILES

/etc/game-data-packager.conf
    game-data-packager configuration file

~/.scummvmrc
    provides location information for game registered in ScummVM GUI

~/.steam/config/loginusers.vdf
    is used to detect user's SteamID, which is then used to download a list of owned games

~/.cache/lgogdownloader/gamedetails.json
    holds a cached list of owned GOG.com games

SEE ALSO
pkexec(1), sudo(8), su(1), lgogdownloader(1)
Project homepage:

AUTHOR
Copyright © 2010-2013 Jonathan Dowland <jmtd@debian.org>
Thanks to Branden Robinson for his ‘Write the Fine Manual’ presentation, once found at